/*************************************************************************
 *
 *  File: PDF_UI_color_and_fonts.css -> old:webmail.css
 *
 *      This file provides font and text settings, borders, and colors 
 *		for the whole PDFMail-Reply UI
 *
 *
 ************************************************************************/

/*************************************************************************
 *  Default font settings and colors for several labels and buttons
 ************************************************************************/

body {
    font-family:            Helvetica, sans-serif;
    font-size:              10pt;
    font-weight:            normal;
   
}
/* Textcolor blue, background white */
body,a,#impressum_footer_right,#MainLoginNotice,#quota_label,#quota,#timeout,#butt_logout,#selfreg_label,
.hbm_right_button,.quota
{
	color:					#2b6499;/*A: #00005f;*/ 
    background-color:		#ffffff;
}

textarea,input[type="text"], input[type="password"], input[type="file"],#email_table_read_circle
{
	 border:				1px solid #cacaca;/*A: #00005f*/
}

/* Textcolor hover */
a:hover,#add_folder_label:hover,.email_table_col_td_1:hover
{
	/*color:					#0000CD;/*A: #fefefe;*/ 
	font-weight:bold;
}

/* logos on top */
#productLogo, #vendorLogo
{
	max-height: 50px; /* 50px is max height for functionality of hamburger!!  A: 73px -> is too height!  */
	max-height: 3.125rem; /* this is max height for hamburger (hamburger is now displayed if opened)!!*/
}


/* Background color for Buttons, Table head, lines */
hr,th,.button,.email_table_select_menu_div_ul,.email_table_sort_menu_div_ul,
.email_table_sort_menu_a,.email_table_select_menu_a,
.button#email_table_butt_delete_mail_white,#email_table_unread_circle,#sort_icon_white,
.icon_button#icon_butt_compose,#butt_main_menu_search_small,#icon_butt_main_menu_search_small,
.help_small_display_icon,#email_table_title/*,#MainLoginNoticeDiv_text*/
{
	background-color:		#2b6499;/*A: #00005f;*/     
}

/*colors, if folder in main menu left is activated */
.customer_folder_div_active,.normal_folder_div_active,.button_delete_folder_active,.upload_button_div
{
	/* is a <div> element*/
    color:			#ffffff;
    background-color:		#2b6499; /*default: #2b6499*/    /*A: #00005f;*/
	
}
.customer_folder_link_active,.normal_folder_link_active
{
	/* is an <a> element*/
	color:			#ffffff;
	background: 	none repeat scroll 0% 0% #2b6499 !important; /*A: #00005f;*/ 
	/*background: none repeat scroll 0% 0% #2b6499!important; /*default: #2b6499*/ /*alternative : #b1ced5*/
}



/*left_border is the vertical line between main menu left and e-mail table: border of custom_content*/
/*not visible in small displays, but in large, not on each page*/	
.left_border
{
	border-left:none;
}	
	
@media print, screen and (min-width: 60em) {
   	.left_border
	{
    border-left: 1px solid #286499;/*A: #00005f;*/ 
	} }	
	
/* Error and Messagetext */
.wm_ui_message_text
{
	/*font-size:10pt;*/

        padding-bottom:1rem;
        font-weight:bold;
	color:red !important;
	
}
.wm_ui_message_text_green
{
        padding-bottom:1rem;
	/*font-size:10pt;*/
	font-weight:bold;
	color:green!important;
	text-align:center;
	
}
/*************************************************************************
 *  Preformatted and emphasized text
 ************************************************************************/

/*pre {
    font-family:            Courier, monospace;
    font-size:              10pt;
    color:                  #000000;
    margin-top:             0px;
}*/

/************************************************************************/
 /* emphasized text 
/*.Emphasis {
   
    font-weight:            bold;
    white-space:            nowrap;
}*/

/************************************************************************/
/* in some places we use different font size and weight; use this class to
     * switch back to default 
/* .DefaultText {
    
    font-weight:            normal;
}*/


/*************************************************************************
 *  Input elements
 ************************************************************************/

select {
    font-size:              9pt;
    color:                  #000000;/*A: #00005f;*/ 
}

/************************************************************************/

input[type="text"], input[type="password"], input[type="file"] {
    font-size:              9pt;
    color:                  #000000;
    background-color:       #ffffff;
     
}

input[readonly], input[readonly="readonly"], input[readonly="yes"], input[disabled],
textarea[readonly], textarea[readonly="readonly"], textarea[readonly="yes"], textarea[disabled] {
    /* use different background color to mark read-only */
    background-color:        #ececec;
}


/*************************************************************************
 *  Page content area
 ************************************************************************/

#gw_content_div, #gw_no_nav_content_div {
    text-align:             center;
}

/*************************************************************************
 *  Mail list and viewer
 ************************************************************************/

.wm_mailcontent {
    text-align:             left;
    /*border:                 0.5px solid #2b6499;    */
}

/*************************************************************************
 *  Session timer
 ************************************************************************/

#gw_session_timeout_div {
    font-weight:            normal;
    color:                  #000000;
}


.input_mark_cc_div:focus-within,#upload_icon_button:focus-within,.butt_delete_attach:focus-within
{
 outline :0.25rem solid black;
}

.button:focus-within,.icon_button:focus-within,.hbm_right_button:focus-within,
#butt_logout:focus-within,
.button#butt_send:focus-within,.button#butt_back_login:focus-within,#butt_pwdchange:focus-within,.button#upload_button:focus-within,
#icon_butt_send:focus-within,
#eyeTogglePassword:focus-within,#eyeTogglePasswordOld:focus-within,#eyeTogglePasswordConfirm:focus-within
{
    /* outline :1px solid black;
    /*  outline :1px dotted black;*/
    border-radius:4px;
    border-radius:0.25rem;
    border: 0.125rem solid black;
 }
 
 .hamburger_menu-wrap:focus-within,.a11y_focus_li:focus-within 
{
  outline :0.125rem solid black;
}